オンライン中  

/v1/external_messaging/

External Messaging Channel-neutral outbound messaging control plane. Phase one supports email, with shared identities, billing, events, suppressions, and delivery health designed for future channels such as SMS or WhatsApp.
GET

/v1/external_messaging/get_billing_settings

#
Returns billing settings and the selected default AT funding account.

パラメーター

名前型必須既定値説明
channel string いいえ "all" Billing channel. Use all for the default setting.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_billing_settings' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_billing_settings_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.IDDatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ID.oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.ID.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.CreatedDatestring いいえ
$.oneOf[0].allOf[1].Payload.LastUpdateDatestring いいえ
$.oneOf[0].allOf[1].Payload.DeletedDate いいえ
$.oneOf[0].allOf[1].Payload.DeletedDate.anyOf[0]string いいえ
$.oneOf[0].allOf[1].Payload.DeletedDate.anyOf[1]null いいえ
$.oneOf[0].allOf[1].Payload.ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Channelstring はい
$.oneOf[0].allOf[1].Payload.DefaultFunding-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.DefaultFunding-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFunding-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFunding-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFunding-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.LastSetBy-ATUser_ID いいえ
$.oneOf[0].allOf[1].Payload.LastSetBy-ATUser_ID.anyOf[0]DatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.LastSetBy-ATUser_ID.anyOf[0].oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.LastSetBy-ATUser_ID.anyOf[0].oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.LastSetBy-ATUser_ID.anyOf[1]null いいえ
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].Currencystring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencySymbolstring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].Namestring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].Descriptionstring はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPointsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPoints.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPoints.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsATCorporateAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsATCorporateAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsATCorporateAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDefaultDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDefault.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDefault.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDepositAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDepositAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].IsDepositAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].CurrencyBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[0].PointsBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.DefaultFundingAccount.anyOf[1] = false はい
$.oneOf[0].allOf[1].Payload.PriceSettingsobject はい
$.oneOf[0].allOf[1].Payload.PriceSettings.PricePerMessageinteger はい
$.oneOf[0].allOf[1].Payload.PriceSettings.PriceUnitstring ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.PriceSettings.RateLimitPerHourinteger はい
$.oneOf[0].allOf[1].Payload.PriceSettings.RecipientLimitPerMessageinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_billing_settings",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATUser_ID": 0,
        "Channel": "synthetic-example",
        "DefaultFunding-ATAccounts_ID": 0,
        "DefaultFundingAccount": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "PriceSettings": {
            "PricePerMessage": 0,
            "PriceUnit": "USD",
            "RateLimitPerHour": 0,
            "RecipientLimitPerMessage": 0
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_channels

#
Returns supported external messaging channels.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_channels' \
  --data-urlencode 'key={{API_KEY}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_channels_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.channelsarray はい
$.oneOf[0].allOf[1].Payload.channels[]object いいえ
$.oneOf[0].allOf[1].Payload.channels[].channel = "email" はい
$.oneOf[0].allOf[1].Payload.channels[].name = "Email" はい
$.oneOf[0].allOf[1].Payload.channels[].enabled = true はい
$.oneOf[0].allOf[1].Payload.channels[].streamsarray はい
$.oneOf[0].allOf[1].Payload.channels[].streams[]string ["auth","transactional","community","bulk","sandbox"] いいえ
$.oneOf[0].allOf[1].Payload.priceSettingsobject はい
$.oneOf[0].allOf[1].Payload.priceSettings.PricePerMessageinteger はい
$.oneOf[0].allOf[1].Payload.priceSettings.PriceUnitstring ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.priceSettings.RateLimitPerHourinteger はい
$.oneOf[0].allOf[1].Payload.priceSettings.RecipientLimitPerMessageinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_channels",
    "RequestUserAlias": "example-user",
    "Payload": {
        "channels": [],
        "priceSettings": {
            "PricePerMessage": 0,
            "PriceUnit": "USD",
            "RateLimitPerHour": 0,
            "RecipientLimitPerMessage": 0
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_delivery_health

#
Returns delivery health counters for the API user.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_delivery_health' \
  --data-urlencode 'key={{API_KEY}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_delivery_health_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.window = "7 days" はい
$.oneOf[0].allOf[1].Payload.messageCountsobject はい
$.oneOf[0].allOf[1].Payload.messageCounts.Queuedinteger はい
$.oneOf[0].allOf[1].Payload.messageCounts.Sendinginteger はい
$.oneOf[0].allOf[1].Payload.messageCounts.Sentinteger はい
$.oneOf[0].allOf[1].Payload.messageCounts.Deferredinteger はい
$.oneOf[0].allOf[1].Payload.messageCounts.Suppressedinteger はい
$.oneOf[0].allOf[1].Payload.messageCounts.Failedinteger はい
$.oneOf[0].allOf[1].Payload.identityCounts はい
$.oneOf[0].allOf[1].Payload.identityCounts.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.identityCounts.anyOf[0].*integer いいえ
$.oneOf[0].allOf[1].Payload.identityCounts.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.suppressionCountinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_delivery_health",
    "RequestUserAlias": "example-user",
    "Payload": {
        "window": "7 days",
        "messageCounts": {
            "Queued": 0,
            "Sending": 0,
            "Sent": 0,
            "Deferred": 0,
            "Suppressed": 0,
            "Failed": 0
        },
        "identityCounts": [],
        "suppressionCount": 0
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_events

#
Returns the event timeline for a message.

パラメーター

名前型必須既定値説明
messageID string いいえ "" Message numeric ID or UUID.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_events' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'messageID={{messageID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_events_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.eventsarray はい
$.oneOf[0].allOf[1].Payload.events[]object いいえ
$.oneOf[0].allOf[1].Payload.events[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingMessages_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingMessages_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingMessages_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].Channelstring はい
$.oneOf[0].allOf[1].Payload.events[].EventTypestring はい
$.oneOf[0].allOf[1].Payload.events[].Severitystring はい
$.oneOf[0].allOf[1].Payload.events[].RecipientAddress はい
$.oneOf[0].allOf[1].Payload.events[].RecipientAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].RecipientAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ProviderMessageID はい
$.oneOf[0].allOf[1].Payload.events[].ProviderMessageID.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].ProviderMessageID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingChannelConfigs_ID はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingChannelConfigs_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingChannelConfigs_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingChannelConfigs_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].ATExternalMessagingChannelConfigs_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[0] = null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedDate はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATUser_ID はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].Channelstring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].Scopestring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATExternalMessagingIdentities_ID はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATExternalMessagingIdentities_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ATExternalMessagingIdentities_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientAddress はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientHash はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientHash.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].RecipientHash.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].SuppressionTypestring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].Reason はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].Reason.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].Reason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ExpiresDate はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ExpiresDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].ExpiresDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].CreatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[2].DeletedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[3]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[3].endpointstring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[4]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[4].reasonstring はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[4].delayMinutesinteger はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].acceptedboolean はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].providerMessageID いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].providerMessageID.anyOf[0]string いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].providerMessageID.anyOf[1]null いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].statusCodeinteger いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].responseExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].response.oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].response.oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].response.oneOf[1][]ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].response.oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].response.oneOf[2].*ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[5].errorstring いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6].ledgerIDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6].ledgerID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6].ledgerID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[6].priceUnitstring ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7]object はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*.oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*.oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*.oneOf[1][]ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*.oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[7].*.oneOf[2].*ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[8]array はい
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9]array はいProvider callback arrays are preserved when supplied.
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][]ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][].oneOf[0]string | number | boolean | null いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][].oneOf[1]array いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][].oneOf[1][]ExternalMessageProviderValue いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][].oneOf[2]object いいえ
$.oneOf[0].allOf[1].Payload.events[].EventPayload.anyOf[9][].oneOf[2].*ExternalMessageProviderValue いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_events",
    "RequestUserAlias": "example-user",
    "Payload": {
        "events": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_identities

#
Returns sender identities owned by the API user.

パラメーター

名前型必須既定値説明
channel string いいえ "email" Channel to list. Phase one supports email.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_identities' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_identities_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.identitiesarray はい
$.oneOf[0].allOf[1].Payload.identities[]object いいえ
$.oneOf[0].allOf[1].Payload.identities[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identities[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identities[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identities[].IdentityUUIDstring はい
$.oneOf[0].allOf[1].Payload.identities[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.identities[].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.identities[].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identities[].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identities[].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identities[].Channel = "email" はい
$.oneOf[0].allOf[1].Payload.identities[].Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.identities[].Statusstring ["PendingDNS","Verified","Suspended"] はい
$.oneOf[0].allOf[1].Payload.identities[].Namestring はい
$.oneOf[0].allOf[1].Payload.identities[].FromName はい
$.oneOf[0].allOf[1].Payload.identities[].FromName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].FromName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].FromAddress はい
$.oneOf[0].allOf[1].Payload.identities[].FromAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].FromAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].DomainName はい
$.oneOf[0].allOf[1].Payload.identities[].DomainName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].DomainName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].ReturnPathDomain はい
$.oneOf[0].allOf[1].Payload.identities[].ReturnPathDomain.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].ReturnPathDomain.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].DKIMSelector はい
$.oneOf[0].allOf[1].Payload.identities[].DKIMSelector.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].DKIMSelector.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].DNSLastCheckTime はい
$.oneOf[0].allOf[1].Payload.identities[].DNSLastCheckTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].DNSLastCheckTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].LastVerifiedTime はい
$.oneOf[0].allOf[1].Payload.identities[].LastVerifiedTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].LastVerifiedTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identities[].ATUser_Alias はい
$.oneOf[0].allOf[1].Payload.identities[].ATUser_Alias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identities[].ATUser_Alias.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_identities",
    "RequestUserAlias": "example-user",
    "Payload": {
        "identities": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_identity_dns_status

#
Returns expected and last observed DNS state for an identity.

パラメーター

名前型必須既定値説明
identityID int いいえ 0 Sender identity ID.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_identity_dns_status' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'identityID={{identityID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_identity_dns_status_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.identityobject はい
$.oneOf[0].allOf[1].Payload.identity.IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identity.ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identity.ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identity.CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.identity.LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.identity.DeletedDate はい
$.oneOf[0].allOf[1].Payload.identity.DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.IdentityUUIDstring はい
$.oneOf[0].allOf[1].Payload.identity.ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identity.ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identity.ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identity.CreatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.identity.CreatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identity.CreatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identity.CreatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identity.CreatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.Channel = "email" はい
$.oneOf[0].allOf[1].Payload.identity.Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.identity.Statusstring ["PendingDNS","Verified","Suspended"] はい
$.oneOf[0].allOf[1].Payload.identity.Namestring はい
$.oneOf[0].allOf[1].Payload.identity.FromName はい
$.oneOf[0].allOf[1].Payload.identity.FromName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.FromName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.FromAddress はい
$.oneOf[0].allOf[1].Payload.identity.FromAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.FromAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.DomainName はい
$.oneOf[0].allOf[1].Payload.identity.DomainName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DomainName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.ReturnPathDomain はい
$.oneOf[0].allOf[1].Payload.identity.ReturnPathDomain.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.ReturnPathDomain.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.DKIMSelector はい
$.oneOf[0].allOf[1].Payload.identity.DKIMSelector.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DKIMSelector.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPublicKey はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPublicKey.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPublicKey.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPrivateKeyEnvironmentKey はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPrivateKeyEnvironmentKey.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DKIMPrivateKeyEnvironmentKey.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.VerificationToken はい
$.oneOf[0].allOf[1].Payload.identity.VerificationToken.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.VerificationToken.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][]object いいえ
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].labelstring はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].hoststring はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].valuestring はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].requiredboolean はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[0][].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.identity.DNSExpectedPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][]object いいえ
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].labelstring はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].hoststring はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].valuestring はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].requiredboolean はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[0][].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckTime はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.DNSLastCheckTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedTime はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.identity.LastVerifiedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.identity.ATUser_Alias はい
$.oneOf[0].allOf[1].Payload.identity.ATUser_Alias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.identity.ATUser_Alias.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.dnsRecordsarray はい
$.oneOf[0].allOf[1].Payload.dnsRecords[]object いいえ
$.oneOf[0].allOf[1].Payload.dnsRecords[].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].labelstring はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].hoststring はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].valuestring はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].requiredboolean はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.dnsRecords[].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.lastCheck はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][]object いいえ
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].labelstring はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].hoststring はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].valuestring はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].requiredboolean はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[0][].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.lastCheck.anyOf[2] = null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_identity_dns_status",
    "RequestUserAlias": "example-user",
    "Payload": {
        "identity": {
            "ID": 0,
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "DeletedDate": "synthetic-example",
            "IdentityUUID": "synthetic-example",
            "ATUser_ID": 0,
            "CreatedBy-ATUser_ID": 0,
            "Channel": "email",
            "Stream": "auth",
            "Status": "PendingDNS",
            "Name": "synthetic-example",
            "FromName": "synthetic-example",
            "FromAddress": "synthetic-example",
            "DomainName": "synthetic-example",
            "ReturnPathDomain": "synthetic-example",
            "DKIMSelector": "synthetic-example",
            "DKIMPublicKey": "synthetic-example",
            "DKIMPrivateKeyEnvironmentKey": "synthetic-example",
            "VerificationToken": "synthetic-example",
            "DNSExpectedPayload": [],
            "DNSLastCheckPayload": [],
            "DNSLastCheckTime": "synthetic-example",
            "LastVerifiedTime": "synthetic-example",
            "LastVerifiedBy-ATUser_ID": 0,
            "ATUser_Alias": "synthetic-example"
        },
        "dnsRecords": [],
        "lastCheck": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_message

#
Returns a queued/sent message by numeric ID or UUID.

パラメーター

名前型必須既定値説明
messageID string いいえ "" Message numeric ID or UUID.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_message' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'messageID={{messageID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_message_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.messageobject はい
$.oneOf[0].allOf[1].Payload.message.IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.message.LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.message.DeletedDate はい
$.oneOf[0].allOf[1].Payload.message.DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.MessageUUIDstring はい
$.oneOf[0].allOf[1].Payload.message.ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.ImpersonatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.message.ImpersonatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.ImpersonatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.ImpersonatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.ImpersonatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.Channel = "email" はい
$.oneOf[0].allOf[1].Payload.message.Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.message.Modestring ["sandbox","production"] はい
$.oneOf[0].allOf[1].Payload.message.Statusstring ["Queued","Sending","Sent","Deferred","Suppressed","Failed"] はい
$.oneOf[0].allOf[1].Payload.message.ATExternalMessagingIdentities_ID はい
$.oneOf[0].allOf[1].Payload.message.ATExternalMessagingIdentities_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.ATExternalMessagingIdentities_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.ATExternalMessagingIdentities_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.ATExternalMessagingIdentities_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.Funding-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.message.Funding-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.Funding-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.Funding-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.Funding-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.Settlement-ATAccountsLedger_ID はい
$.oneOf[0].allOf[1].Payload.message.Settlement-ATAccountsLedger_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.Settlement-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.Settlement-ATAccountsLedger_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.Settlement-ATAccountsLedger_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.ATAPIAccessLog_ID はい
$.oneOf[0].allOf[1].Payload.message.ATAPIAccessLog_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.ATAPIAccessLog_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.ATAPIAccessLog_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.ATAPIAccessLog_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.Subject はい
$.oneOf[0].allOf[1].Payload.message.Subject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.Subject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload はい
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload.anyOf[0].toarray はい
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload.anyOf[0].to[]string いいえ
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.message.RecipientsPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload.anyOf[0].htmlBodystring はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload.anyOf[0].textBodystring はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.message.ContentPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[0].Fromstring はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[0].X-AT-External-Messaging-Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[0].List-Unsubscribestring いいえ
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[0].List-Unsubscribe-Post = "List-Unsubscribe=One-Click" いいえ
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.message.HeadersPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.message.PriceAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.PriceAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.PriceAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.PriceUnit はい
$.oneOf[0].allOf[1].Payload.message.PriceUnit.anyOf[0]string ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.message.PriceUnit.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.RecipientCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.RecipientCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.RecipientCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.AttemptCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.message.AttemptCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.message.AttemptCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.message.NextAttemptDate はい
$.oneOf[0].allOf[1].Payload.message.NextAttemptDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.NextAttemptDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.QueuedDate はい
$.oneOf[0].allOf[1].Payload.message.QueuedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.QueuedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.SentDate はい
$.oneOf[0].allOf[1].Payload.message.SentDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.SentDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.LastEventDate はい
$.oneOf[0].allOf[1].Payload.message.LastEventDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.LastEventDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.ProviderMessageID はい
$.oneOf[0].allOf[1].Payload.message.ProviderMessageID.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.ProviderMessageID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.FailureReason はい
$.oneOf[0].allOf[1].Payload.message.FailureReason.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.FailureReason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.FromAddress はい
$.oneOf[0].allOf[1].Payload.message.FromAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.FromAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.DomainName はい
$.oneOf[0].allOf[1].Payload.message.DomainName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.DomainName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.message.ATUser_Alias はい
$.oneOf[0].allOf[1].Payload.message.ATUser_Alias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.message.ATUser_Alias.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_message",
    "RequestUserAlias": "example-user",
    "Payload": {
        "message": {
            "ID": 0,
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "DeletedDate": "synthetic-example",
            "MessageUUID": "synthetic-example",
            "ATUser_ID": 0,
            "ImpersonatedBy-ATUser_ID": 0,
            "Channel": "email",
            "Stream": "auth",
            "Mode": "sandbox",
            "Status": "Queued",
            "ATExternalMessagingIdentities_ID": 0,
            "Funding-ATAccounts_ID": 0,
            "Settlement-ATAccountsLedger_ID": 0,
            "ATAPIAccessLog_ID": 0,
            "Subject": "synthetic-example",
            "RecipientsPayload": {
                "to": []
            },
            "ContentPayload": {
                "htmlBody": "synthetic-example",
                "textBody": "synthetic-example"
            },
            "HeadersPayload": {
                "From": "synthetic-example",
                "X-AT-External-Messaging-Stream": "auth"
            },
            "PriceAmount": 0,
            "PriceUnit": "USD",
            "RecipientCount": 0,
            "AttemptCount": 0,
            "NextAttemptDate": "synthetic-example",
            "QueuedDate": "synthetic-example",
            "SentDate": "synthetic-example",
            "LastEventDate": "synthetic-example",
            "ProviderMessageID": "synthetic-example",
            "FailureReason": "synthetic-example",
            "FromAddress": "synthetic-example",
            "DomainName": "synthetic-example",
            "ATUser_Alias": "synthetic-example"
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_messages

#
Returns recent messages for the API user.

パラメーター

名前型必須既定値説明
channel string いいえ "email" Channel filter.
status string いいえ "" Optional status filter.
limit int いいえ 50 Maximum rows to return.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_messages' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}' \
  --data-urlencode 'status={{status}}' \
  --data-urlencode 'limit={{limit}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_messages_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.messagesarray はい
$.oneOf[0].allOf[1].Payload.messages[]object いいえ
$.oneOf[0].allOf[1].Payload.messages[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.messages[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.messages[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.messages[].MessageUUIDstring はい
$.oneOf[0].allOf[1].Payload.messages[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.messages[].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.messages[].Channel = "email" はい
$.oneOf[0].allOf[1].Payload.messages[].Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.messages[].Modestring ["sandbox","production"] はい
$.oneOf[0].allOf[1].Payload.messages[].Statusstring ["Queued","Sending","Sent","Deferred","Suppressed","Failed"] はい
$.oneOf[0].allOf[1].Payload.messages[].Subject はい
$.oneOf[0].allOf[1].Payload.messages[].Subject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].Subject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].RecipientCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.messages[].RecipientCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.messages[].RecipientCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.messages[].PriceAmountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.messages[].PriceAmount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.messages[].PriceAmount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.messages[].PriceUnit はい
$.oneOf[0].allOf[1].Payload.messages[].PriceUnit.anyOf[0]string ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.messages[].PriceUnit.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].AttemptCountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.messages[].AttemptCount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.messages[].AttemptCount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.messages[].QueuedDate はい
$.oneOf[0].allOf[1].Payload.messages[].QueuedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].QueuedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].SentDate はい
$.oneOf[0].allOf[1].Payload.messages[].SentDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].SentDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].LastEventDate はい
$.oneOf[0].allOf[1].Payload.messages[].LastEventDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].LastEventDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].ProviderMessageID はい
$.oneOf[0].allOf[1].Payload.messages[].ProviderMessageID.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].ProviderMessageID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].FailureReason はい
$.oneOf[0].allOf[1].Payload.messages[].FailureReason.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].FailureReason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].FromAddress はい
$.oneOf[0].allOf[1].Payload.messages[].FromAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].FromAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.messages[].DomainName はい
$.oneOf[0].allOf[1].Payload.messages[].DomainName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.messages[].DomainName.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_messages",
    "RequestUserAlias": "example-user",
    "Payload": {
        "messages": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/external_messaging/get_suppressions

#
Returns active suppressions for the API user.

パラメーター

名前型必須既定値説明
channel string いいえ "email" Channel filter.
limit int いいえ 50 Maximum rows to return.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/external_messaging/get_suppressions' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}' \
  --data-urlencode 'limit={{limit}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_get_suppressions_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.suppressionsarray はい
$.oneOf[0].allOf[1].Payload.suppressions[]object いいえ
$.oneOf[0].allOf[1].Payload.suppressions[].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.suppressions[].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.suppressions[].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.suppressions[].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedDate はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATUser_ID はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.suppressions[].ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].Channelstring はい
$.oneOf[0].allOf[1].Payload.suppressions[].Scopestring はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATExternalMessagingIdentities_ID はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATExternalMessagingIdentities_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.suppressions[].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].ATExternalMessagingIdentities_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientAddress はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientHash はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientHash.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].RecipientHash.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].SuppressionTypestring はい
$.oneOf[0].allOf[1].Payload.suppressions[].Reason はい
$.oneOf[0].allOf[1].Payload.suppressions[].Reason.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].Reason.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].ExpiresDate はい
$.oneOf[0].allOf[1].Payload.suppressions[].ExpiresDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].ExpiresDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].CreatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.suppressions[].DeletedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/get_suppressions",
    "RequestUserAlias": "example-user",
    "Payload": {
        "suppressions": []
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/external_messaging/set_billing_account

#
Sets the default AT account used to pay for accepted production messages.

パラメーター

名前型必須既定値説明
fundingAccountID int いいえ 0 AT account ID owned by the API user.
channel string いいえ "all" Billing channel. Use all for the default setting.
isWritingRequest bool いいえ false Must be true to update billing settings.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/external_messaging/set_billing_account' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'fundingAccountID={{fundingAccountID}}' \
  --data-urlencode 'channel={{channel}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_set_billing_account_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Succeeded = true はい
$.oneOf[0].allOf[1].Payload.BillingSettingsobject はい
$.oneOf[0].allOf[1].Payload.BillingSettings.IDDatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.ID.oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.ID.oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.CreatedDatestring いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.LastUpdateDatestring いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.DeletedDate いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.DeletedDate.anyOf[0]string いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.DeletedDate.anyOf[1]null いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.Channelstring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFunding-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFunding-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFunding-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFunding-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFunding-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.BillingSettings.LastSetBy-ATUser_ID いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.LastSetBy-ATUser_ID.anyOf[0]DatabaseInteger いいえInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.LastSetBy-ATUser_ID.anyOf[0].oneOf[0]integer いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.LastSetBy-ATUser_ID.anyOf[0].oneOf[1]string いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.LastSetBy-ATUser_ID.anyOf[1]null いいえ
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].Currencystring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencySymbolstring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].Namestring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].Descriptionstring はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPointsDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPoints.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PayoutDefaultBasisPoints.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsCreditLimitDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsCreditLimit.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsCreditLimit.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsATCorporateAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsATCorporateAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsATCorporateAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDefaultDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDefault.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDefault.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDepositAccountDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDepositAccount.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].IsDepositAccount.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].CurrencyBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsBalanceDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsBalance.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[0].PointsBalance.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.BillingSettings.DefaultFundingAccount.anyOf[1] = false はい
$.oneOf[0].allOf[1].Payload.BillingSettings.PriceSettingsobject はい
$.oneOf[0].allOf[1].Payload.BillingSettings.PriceSettings.PricePerMessageinteger はい
$.oneOf[0].allOf[1].Payload.BillingSettings.PriceSettings.PriceUnitstring ["USD","Traderpoint"] はい
$.oneOf[0].allOf[1].Payload.BillingSettings.PriceSettings.RateLimitPerHourinteger はい
$.oneOf[0].allOf[1].Payload.BillingSettings.PriceSettings.RecipientLimitPerMessageinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/set_billing_account",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Succeeded": true,
        "BillingSettings": {
            "ATUser_ID": 0,
            "Channel": "synthetic-example",
            "DefaultFunding-ATAccounts_ID": 0,
            "DefaultFundingAccount": {
                "Currency": "synthetic-example",
                "CurrencySymbol": "synthetic-example",
                "CreatedDate": "synthetic-example",
                "LastUpdateDate": "synthetic-example",
                "Name": "synthetic-example",
                "Description": "synthetic-example",
                "ID": 0,
                "ATUser_ID": 0,
                "CurrencyCreditLimit": 0,
                "PayoutDefaultBasisPoints": 0,
                "PointsCreditLimit": 0,
                "IsATCorporateAccount": 0,
                "IsDefault": 0,
                "IsDepositAccount": 0,
                "CurrencyBalance": 0,
                "PointsBalance": 0
            },
            "PriceSettings": {
                "PricePerMessage": 0,
                "PriceUnit": "USD",
                "RateLimitPerHour": 0,
                "RecipientLimitPerMessage": 0
            }
        }
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/external_messaging/set_identity

#
Creates an email sender identity and returns the DNS records needed for verification.

パラメーター

名前型必須既定値説明
channel string いいえ "email" Channel to create. Phase one supports email.
fromAddress string いいえ "" Sender email address.
fromName string いいえ "" Human readable sender name.
name string いいえ "" Internal identity label.
stream string いいえ "transactional" Email stream: auth, transactional, community, or bulk.
isWritingRequest bool いいえ false Must be true to create the identity.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/external_messaging/set_identity' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}' \
  --data-urlencode 'fromAddress={{fromAddress}}' \
  --data-urlencode 'fromName={{fromName}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'stream={{stream}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_set_identity_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Succeeded = true はい
$.oneOf[0].allOf[1].Payload.Identity はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DeletedDate はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].IdentityUUIDstring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].CreatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].Channel = "email" はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].Statusstring ["PendingDNS","Verified","Suspended"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].Namestring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromName はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromAddress はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromAddress.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].FromAddress.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DomainName はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DomainName.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DomainName.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ReturnPathDomain はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ReturnPathDomain.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ReturnPathDomain.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMSelector はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMSelector.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMSelector.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPublicKey はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPublicKey.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPublicKey.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPrivateKeyEnvironmentKey はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPrivateKeyEnvironmentKey.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DKIMPrivateKeyEnvironmentKey.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].VerificationToken はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].VerificationToken.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].VerificationToken.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][]object いいえ
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].labelstring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].hoststring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].valuestring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].requiredboolean はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[0][].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSExpectedPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0]array はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][]object いいえ
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].labelstring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].hoststring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].valuestring はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].requiredboolean はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[0][].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[1] = "" はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckPayload.anyOf[2] = null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckTime はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].DNSLastCheckTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedTime はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedTime.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedTime.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].LastVerifiedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_Alias はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_Alias.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[0].ATUser_Alias.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Identity.anyOf[1] = false はい
$.oneOf[0].allOf[1].Payload.DNSRecordsarray はい
$.oneOf[0].allOf[1].Payload.DNSRecords[]object いいえ
$.oneOf[0].allOf[1].Payload.DNSRecords[].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].labelstring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].hoststring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].valuestring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].requiredboolean はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].observedValuestring いいえ
$.oneOf[0].allOf[1].Payload.DKIMPrivateKeyEnvironmentKeystring はい
$.oneOf[0].allOf[1].Payload.DKIMPrivateKeyOneTimestring はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/set_identity",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Succeeded": true,
        "Identity": {
            "ID": 0,
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "DeletedDate": "synthetic-example",
            "IdentityUUID": "synthetic-example",
            "ATUser_ID": 0,
            "CreatedBy-ATUser_ID": 0,
            "Channel": "email",
            "Stream": "auth",
            "Status": "PendingDNS",
            "Name": "synthetic-example",
            "FromName": "synthetic-example",
            "FromAddress": "synthetic-example",
            "DomainName": "synthetic-example",
            "ReturnPathDomain": "synthetic-example",
            "DKIMSelector": "synthetic-example",
            "DKIMPublicKey": "synthetic-example",
            "DKIMPrivateKeyEnvironmentKey": "synthetic-example",
            "VerificationToken": "synthetic-example",
            "DNSExpectedPayload": [],
            "DNSLastCheckPayload": [],
            "DNSLastCheckTime": "synthetic-example",
            "LastVerifiedTime": "synthetic-example",
            "LastVerifiedBy-ATUser_ID": 0,
            "ATUser_Alias": "synthetic-example"
        },
        "DNSRecords": [],
        "DKIMPrivateKeyEnvironmentKey": "FAKE_DKIM_ENVIRONMENT_KEY",
        "DKIMPrivateKeyOneTime": "FAKE_PRIVATE_KEY_PLACEHOLDER"
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/external_messaging/set_identity_verify_dns

#
Checks DNS records for an email sender identity and marks it verified when required records are present.

パラメーター

名前型必須既定値説明
identityID int いいえ 0 Sender identity ID.
isWritingRequest bool いいえ false Must be true to record the DNS check.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/external_messaging/set_identity_verify_dns' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'identityID={{identityID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_set_identity_verify_dns_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Succeeded = true はい
$.oneOf[0].allOf[1].Payload.Statusstring ["PendingDNS","Verified"] はい
$.oneOf[0].allOf[1].Payload.DNSRecordsarray はい
$.oneOf[0].allOf[1].Payload.DNSRecords[]object いいえ
$.oneOf[0].allOf[1].Payload.DNSRecords[].keystring ["ownership","dkim","dmarc","return_path","mta_sts","tls_reporting"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].labelstring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].typestring ["TXT","MX"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].hoststring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].valuestring はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].requiredboolean はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].statusstring ["pending","verified","missing","advisory"] はい
$.oneOf[0].allOf[1].Payload.DNSRecords[].observedValuestring いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/external_messaging/set_identity_verify_dns",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Succeeded": true,
        "Status": "PendingDNS",
        "DNSRecords": []
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/external_messaging/set_send

#
Queues an external message. Phase one supports email only. Production email requires a verified sender identity and is charged after the first-party MTA records smtp_accepted. Sandbox messages are free and do not submit to the MTA.

パラメーター

名前型必須既定値説明
channel string いいえ "email" Channel. Phase one supports email.
identityID int いいえ 0 Sender identity ID.
to string いいえ "" Comma-separated recipient email addresses.
subject string いいえ "" Message subject.
htmlBody string いいえ "" HTML body.
textBody string いいえ "" Plain text body.
stream string いいえ "transactional" Email stream: auth, transactional, community, bulk, or sandbox.
mode string いいえ "sandbox" sandbox or production.
fundingAccountID int いいえ 0 Optional per-message AT funding account override.
isWritingRequest bool いいえ false Must be true to queue the message.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/external_messaging/set_send' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'channel={{channel}}' \
  --data-urlencode 'identityID={{identityID}}' \
  --data-urlencode 'to={{to}}' \
  --data-urlencode 'subject={{subject}}' \
  --data-urlencode 'htmlBody={{htmlBody}}' \
  --data-urlencode 'textBody={{textBody}}' \
  --data-urlencode 'stream={{stream}}' \
  --data-urlencode 'mode={{mode}}' \
  --data-urlencode 'fundingAccountID={{fundingAccountID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$external_messaging_set_send_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Succeeded = true はい
$.oneOf[0].allOf[1].Payload.Message はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].CreatedDatestring はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].LastUpdateDatestring はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].DeletedDate はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].DeletedDate.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].DeletedDate.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].MessageUUIDstring はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATUser_IDDatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATUser_ID.oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATUser_ID.oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ImpersonatedBy-ATUser_ID はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ImpersonatedBy-ATUser_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ImpersonatedBy-ATUser_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ImpersonatedBy-ATUser_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ImpersonatedBy-ATUser_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Channel = "email" はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Streamstring ["auth","transactional","community","bulk","sandbox"] はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Modestring ["sandbox","production"] はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Statusstring ["Queued","Sending","Sent","Deferred","Suppressed","Failed"] はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATExternalMessagingIdentities_ID はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATExternalMessagingIdentities_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATExternalMessagingIdentities_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATExternalMessagingIdentities_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Funding-ATAccounts_ID はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Funding-ATAccounts_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Funding-ATAccounts_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Funding-ATAccounts_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Funding-ATAccounts_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Settlement-ATAccountsLedger_ID はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Settlement-ATAccountsLedger_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Settlement-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Settlement-ATAccountsLedger_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Settlement-ATAccountsLedger_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATAPIAccessLog_ID はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATAPIAccessLog_ID.anyOf[0]DatabaseInteger はいInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATAPIAccessLog_ID.anyOf[0].oneOf[0]integer はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATAPIAccessLog_ID.anyOf[0].oneOf[1]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].ATAPIAccessLog_ID.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Subject はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Subject.anyOf[0]string はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].Subject.anyOf[1]null はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].RecipientsPayload はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].RecipientsPayload.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].RecipientsPayload.anyOf[0].toarray はい
$.oneOf[0].allOf[1].Payload.Message.anyOf[0].RecipientsPayload.anyOf[0].to[]string いいえ
[...]
